/** This is the header for the functions of program CUBETRANSPORT that are needed to handle charge flows **/

#ifndef FLOW_H_INCLUDED
#define FLOW_H_INCLUDED


/** FUNCTION PROTOTYPES **/

/* Function "initflow", taking charge distributions "charge0" and "charge1" having the same total mass, finds a clever flow transforming the former into the latter, and writes that flow onto "flow" */

void initflow (double ***charge0, double ***charge1, double (***flow)[3]);

#endif // FLOW_H_INCLUDED
